Skip to main content
GET
Get List configuration

Authorizations

Authorization
string
header
required

Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.

Path Parameters

list_id
string
default:_list_id_
required

Unique string identifier of the list.

Response

200

list_id
string

Unique identifier of the list.

Example:

"product_updates"

list_name
string

Name of the list.

Example:

"Product Update"

list_description
string

Brief description of the list.

Example:

"Users subscribed to the newsletter"

list_type
enum<string>

Type of the list.

Available options:
static_list,
dynamic_list
subscribers_count
integer

number of users in the list

source
string

source info on how the list is updated

Example:

"database_sync"

is_readonly
boolean

Indicates whether the list is read-only.

Example:

false

is_enabled
boolean

For dynamic_list only. Whether the segment is actively refreshing.

Example:

true

query
string

For dynamic_list only. The committed SQL query that defines the segment.

Example:

"SELECT distinct_id FROM users WHERE CAST(user_properties ->> 'lifetime_value' AS DOUBLE PRECISION) >= 2500"

status
string

Current status of the list (active or draft).

Example:

"active"

track_user_entry
boolean

Event $USER_ENTERED_LIST - <list_id> is generated when user is added this list. Use this to trigger workflow on user entry.

track_user_exit
boolean

Event $USER_EXITED_LIST - <list_id> is generated when user is removed from this list. Use this to trigger workflow on user exit.

requested_for_delete
boolean

Indicates whether the list has been requested for deletion.

Example:

false

created_at
string<date-time>

Timestamp when the list was created.

Example:

"2024-02-21T19:10:01.906000Z"

updated_at
string<date-time>

Timestamp when the list was last updated.

Example:

"2025-04-04T07:25:43.186475Z"

drafts
string | null

would show the draft list created to replace list users.

sync_task
object | null

For dynamic_list only. Metadata about the sync task that runs the segment query, including the currently active version and any uncommitted draft.